Install a plugin
Base URL
https://{kibana_url}
POST
/api/agent_builder/plugins/install
Auth
Stack
Experimental
9.4+
The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.
Availability
Experimental since 9.4
This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply.
Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.
This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Privileges
agentBuilder:write
Expand all
A required header to protect against CSRF attacks
{
}
plugin_name
string
Optional name override for the plugin. Defaults to the manifest name.
url
string
required
URL to install the plugin from (GitHub URL or direct zip URL).
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Install plugin from github
2 languages
Install plugin from zip
2 languages
Install plugin with name override
2 languages
Request
Console
1 / 2 languages
‹
›
Example request for installing a plugin from a GitHub URL
Show more
1
2
3
4
POST kbn://api/agent_builder/plugins/install
{
"url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}
1
2
3
4
5
6
7
8
curl \
-X POST "${KIBANA_URL}/api/agent_builder/plugins/install" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}'
Response
Example response returning the definition of the installed plugin
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
{
"created_at": "2025-01-01T00:00:00.000Z",
"description": "Financial analysis tools and skills for Claude",
"id": "financial-analysis",
"manifest": {
"author": {
"name": "Anthropic",
"url": "https://www.anthropic.com"
},
"keywords": [
"finance",
"analysis"
],
"repository": "https://github.com/anthropics/financial-services-plugins"
},
"name": "financial-analysis",
"skill_ids": [
"financial-analysis-analyze-portfolio"
],
"source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
"unmanaged_assets": {
"agents": [],
"hooks": [],
"lsp_servers": [],
"mcp_servers": [],
"output_styles": []
},
"updated_at": "2025-01-01T00:00:00.000Z",
"version": "1.0.0"
}
Request
Console
1 / 2 languages
‹
›
Example request for installing a plugin from a direct zip URL
Show more
1
2
3
4
POST kbn:/api/agent_builder/plugins/install
{
"url": "https://my-server.example.com/my-plugin.zip"
}
Generated from the API spec
1
2
3
4
5
6
7
8
curl \
-X POST "${KIBANA_URL}/api/agent_builder/plugins/install" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"url": "https://my-server.example.com/my-plugin.zip"
}'
Generated from the API spec
Response
Example response returning the definition of the installed plugin
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
{
"created_at": "2025-01-01T00:00:00.000Z",
"description": "Financial analysis tools and skills for Claude",
"id": "financial-analysis",
"manifest": {
"author": {
"name": "Anthropic",
"url": "https://www.anthropic.com"
},
"keywords": [
"finance",
"analysis"
],
"repository": "https://github.com/anthropics/financial-services-plugins"
},
"name": "financial-analysis",
"skill_ids": [
"financial-analysis-analyze-portfolio"
],
"source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
"unmanaged_assets": {
"agents": [],
"hooks": [],
"lsp_servers": [],
"mcp_servers": [],
"output_styles": []
},
"updated_at": "2025-01-01T00:00:00.000Z",
"version": "1.0.0"
}
Request
Console
1 / 2 languages
‹
›
Example request for installing a plugin with a custom name
Show more
1
2
3
4
5
POST kbn:/api/agent_builder/plugins/install
{
"plugin_name": "my-custom-plugin-name",
"url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}
Generated from the API spec
1
2
3
4
5
6
7
8
9
curl \
-X POST "${KIBANA_URL}/api/agent_builder/plugins/install" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"plugin_name": "my-custom-plugin-name",
"url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis"
}'
Generated from the API spec
Response
Example response returning the definition of the installed plugin
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
{
"created_at": "2025-01-01T00:00:00.000Z",
"description": "Financial analysis tools and skills for Claude",
"id": "financial-analysis",
"manifest": {
"author": {
"name": "Anthropic",
"url": "https://www.anthropic.com"
},
"keywords": [
"finance",
"analysis"
],
"repository": "https://github.com/anthropics/financial-services-plugins"
},
"name": "financial-analysis",
"skill_ids": [
"financial-analysis-analyze-portfolio"
],
"source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
"unmanaged_assets": {
"agents": [],
"hooks": [],
"lsp_servers": [],
"mcp_servers": [],
"output_styles": []
},
"updated_at": "2025-01-01T00:00:00.000Z",
"version": "1.0.0"
}